Doomsday Engine - Feature #1962

Revised network protocol based on libshell

2015-02-11 10:18 - skyjake

Status: New Start date: 2015-02-11
Priority: High % Done: 0%
Assignee: skyjake

Category: Redesign

Target version: Multiplayer

Description

The Shell protocol uses Doomsday 2 components for a more robust (versioned) and secure (bound/error-checked) network
communication channel. All network communications between the client and the server should be revised to use this protocol instead
of the current one that basically sends POD C structs over a socket.

Related issues:

Related to Bug #1961: Client fatal error due to invalid data received from se... New 2015-02-11

Related to Feature #1767: Network delta profiler

New 2014-04-18

History

#1 - 2015-02-11 10:18 - skyjake

- Related to Bug #1961: Client fatal error due to invalid data received from server added

#2 - 2015-02-11 15:11 - skyjake
- Tags changed from Multiplayer to Multiplayer, Protocol

#3 - 2015-02-11 15:13 - skyjake

- Description updated

#4 - 2015-02-11 15:22 - skyjake
- Priority changed from High to Urgent

#5 - 2016-03-27 07:43 - skyjake
- Priority changed from Urgent to High

#6 - 2016-03-27 07:44 - skyjake
- Related to Feature #1767: Network delta profiler added

#7 - 2016-03-27 08:24 - skyjake
- Target version set to 2.1 (Late 2018)

#8 - 2018-07-29 16:53 - skyjake
- Target version changed from 2.1 (Late 2018) to Multiplayer
